---
title: specularConstant
slug: Web/SVG/Attribute/specularConstant
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>specularConstant</code></strong> attribute controls the ratio of reflection of the specular lighting. It represents the k<sub>s</sub> value in <a href="https://en.wikipedia.org/wiki/Phong_reflection_model" rel="external">the Phong lighting model</a>. The bigger the value the stronger the reflection.</p>

<p>Only one element is using this attribute: {{SVGElement("feSpecularLighting")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[3,8]">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="specularLighting1" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feSpecularLighting in="SourceGraphic" specularConstant="1.2"&gt;
      &lt;fePointLight x="60" y="60" z="20" /&gt;
    &lt;/feSpecularLighting&gt;
  &lt;/filter&gt;
  &lt;filter id="specularLighting2" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feSpecularLighting in="SourceGraphic" specularConstant="0.8"&gt;
      &lt;fePointLight x="60" y="60" z="20" /&gt;
    &lt;/feSpecularLighting&gt;
  &lt;/filter&gt;

  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#specularLighting1);" /&gt;
  &lt;rect x="0" y="0" width="200" height="200"
      style="filter: url(#specularLighting2); transform: translateX(220px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "420", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fespecularlighting-specularconstant", "specularConstant")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feSpecularLightingSpecularConstantAttribute", "specularConstant")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feSpecularLighting.specularConstant")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://en.wikipedia.org/wiki/Phong_reflection_model">Description of Phong reflection model on Wikipedia</a></li>
</ul>
